package com.yeejoin.amos.boot.module.ys.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ys.api.dto.YsEmergencyRehearsalDto;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;
import org.springframework.web.multipart.MultipartFile;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 应急演练记录管理接口类
 *
 * @author system_generator
 * @date 2024-09-24
 */
public interface IYsEmergencyRehearsalService {

    void export(HttpServletResponse response, List<String> ids);

    Boolean saveOrUpdate(YsEmergencyRehearsalDto model, AgencyUserModel userModel);

    Boolean deleteBySeq(String sequenceNbr);

    YsEmergencyRehearsalDto detailBySeq(String sequenceNbr);

    ResponseModel<Object> expertDataImport(MultipartFile file, AgencyUserModel userModel);

    Page<YsEmergencyRehearsalDto> queryForYsEmergencyRehearsalPage(Page<YsEmergencyRehearsalDto> page, YsEmergencyRehearsalDto dto);
}
